using System.Collections.Generic;

namespace Valg.EVA.Skanning.UserInterfaceElements.EventArgs
{
    public class CustomEventArgs : System.EventArgs
    {
        public CustomEventArgs() {}

        public CustomEventArgs(bool boolValue)
        {
            BoolValue = boolValue;
        }

        public CustomEventArgs(int intValue)
        {
            IntValue = intValue;
        }

        public CustomEventArgs(IList<string> stringValueList)
        {
            StringValueList = stringValueList;
        }

        public bool BoolValue { get; }

        public int IntValue { get; }

        public IList<string> StringValueList { get; }

        public object ObjectValue { get; set; }
    }
}

